Subject: 323 bug

From: Eric Forgeot <[email-masked]>
Date: Fri, 01 Nov 2013 13:39:16 +0100

Hello,

I have this problem as well.

version 4.0.1.1 for the client
version 4.0.1.6 for the server

on linuxmint 15. All packages coming from the ppa:x2go/stable

I tried this:

1/
sudo rm -f /var/lib/x2go/x2go_sessions
sudo x2godbadmin --createdb

2/
creating a new ssh user on the server, and trying to connect with this new one. x2go detected the /home/my_new_user folder was missing,
and when I created it, x2go refused to connect any longer.

3/
editing / renaming ~/.ssh/known_hosts from the client side
(according to http://john.wesorick.com/2011/11/issues-installing-x2go.html I also commented the "HostKey /etc/ssh/ssh_host_ecdsa_key" in my sshd_config on the server)

none of them worked.

I also renamed the ~/.x2go/ ~/.x2goclient/ folders in my home

I can barely copy the output from the error window ( it hides itself too quickly and can't find a way to get it from elsewhere) :

Starting session at 'Fri Nov 1 13:28:55 2013'.

Info: Connecting to remote host 'localhost:31004'.

Info: Connection to remote proxy 'localhost:31004' established.

Error: The remote NX proxy closed the connection.

Error: Failure negotiating the session in stage '7'.

Error: Wrong version or invalid session authentication cookie.

Session: Terminating session at 'Fri Nov 1 13:28:56 2013'.

Session: Session terminated at 'Fri Nov 1 13:28:56 2013'.

(I don't understand why it tries to connect to localhost)

My log in ~/.x2go/S-mylogin-50-1383308923_stDLXDE_dp24/sessions says:

Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.

x2go worked perfectly before, I can't trace when it stopped working but it's probably after some package updates.